%if 0%{?fedora} > 12 || 0%{?rhel} >= 8
%global with_python3 1
%endif

%{!?__python2:%global __python2 %{__python}}
%{!?python2_sitelib:   %global python2_sitelib         %{python_sitelib}}
%{!?python2_sitearch:  %global python2_sitearch        %{python_sitearch}}
%{!?python2_version:   %global python2_version         %{python_version}}

Name:           python-wordpress-xmlrpc
Version:        2.3
Release:        13%{?dist}
Summary:        WordPress XML-RPC API Integration Library

License:        BSD
URL:            https://github.com/maxcutler/python-wordpress-xmlrpc/
Source0:        http://pypi.python.org/packages/source/p/python-wordpress-xmlrpc/python-wordpress-xmlrpc-2.3.zip

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%global _description\
Python library to interface with a WordPress blog's XML-RPC API.\
\
An implementation of the standard WordPress API methods is provided, but the\
library is designed for easy integration with custom XML-RPC API methods\
provided by plugins.\
\
A set of classes are provided that wrap the standard WordPress data types\
(e.g., Blog, Post, User). The provided method implementations return these\
objects when possible.\


%description %_description

%package -n python2-wordpress-xmlrpc
Summary: %summary
%{?python_provide:%python_provide python2-wordpress-xmlrpc}

%description -n python2-wordpress-xmlrpc %_description

%if 0%{?with_python3}
%package -n python3-wordpress-xmlrpc
Summary:        WordPress XML-RPC API Integration Library
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-wordpress-xmlrpc
Python library to interface with a WordPress blog's XML-RPC API.

An implementation of the standard WordPress API methods is provided, but the 
library is designed for easy integration with custom XML-RPC API methods 
provided by plugins.

A set of classes are provided that wrap the standard WordPress data types 
(e.g., Blog, Post, User). The provided method implementations return these 
objects when possible.


%endif
%prep
%setup -q

# remove bundled egg.info:
rm -rf python_wordpress_xmlrpc.egg-info

%build
%if 0%{?with_python3}
%py3_build
%endif


%py2_build



%install
%if 0%{?with_python3}
%py3_install
%endif # with_python3

%py2_install


%files -n python2-wordpress-xmlrpc
%doc LICENSE README.rst wp-config-sample.cfg
%{python2_sitelib}/wordpress_xmlrpc
%{python2_sitelib}/python_wordpress_xmlrpc-%{version}-py%{python2_version}.egg-info

%files -n python3-wordpress-xmlrpc
%doc LICENSE README.rst wp-config-sample.cfg
%{python3_sitelib}/wordpress_xmlrpc
%{python3_sitelib}/python_wordpress_xmlrpc-%{version}-py%{python3_version}.egg-info

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 2.3-12
- Rebuilt for Python 3.7

* Mon Feb 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 2.3-11
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.3-9
- Python 2 binary package renamed to python2-wordpress-xmlrpc
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 2.3-6
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jul 06 2014 Matthias Runge <mrunge@redhat.com> - 2.3-1
- upgrade to 2.3 and python3 package (rhbz#1116473)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Sep 20 2011 Matthias Runge <mrunge@matthias-runge.de> 1.5-1
- initital version for fedora
